package org.jeecg.modules.database.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.database.entity.ExperimentTestProcess;

import java.util.List;

/**
 * @Description: 测试过程
 * @Author: jeecg-boot
 * @Date: 2024-10-15
 * @Version: V1.0
 */
public interface IExperimentTestProcessService extends IService<ExperimentTestProcess> {
    List<ExperimentTestProcess> getByExperimentId(String experimentId);

    void assembleDetails(ExperimentTestProcess experimentTestProcess);

    void saveWithDetails(ExperimentTestProcess experimentTestProcess);

    void copy(String oldId,String newExperimentId);
}
